Bug 764427 - (GLUSTER-2695) Mac host showmount -a not working.
Mac host showmount -a not working.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: nfs (Show other bugs)
3.1.3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Gaurav
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-08 06:58 EDT by Gaurav
Modified: 2011-09-12 06:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: RTNR
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gaurav 2011-04-08 06:58:26 EDT
Mac host does mount using MOUNT3 but it send MOUNT1_DUMP for showmount,
713	65.541221	192.168.1.21	192.168.1.44	MOUNT	V1 DUMP Call

There is a bug in NFS server implementation to handle MOUNT1_DUMP, we are maintaining different states for MOUNT1 and MOUNT3.
Comment 1 Gaurav 2011-04-12 01:12:51 EDT
Here is the comparison of Linux and Mac for Mount protocol.

               Linux                Mac
Mount          Mount3               Mount3

Umount         Umount3              Umount1(It fails in Getport Mount1 UDP)

Export         Mount3_Export        Mount1_Export

Dump           Mount3_Dump          Mount1_Dump
Comment 2 Anand Avati 2011-05-03 12:13:04 EDT
PATCH: http://patches.gluster.com/patch/7056 in master (NFS : Maintain common state for MOUNT1 and MOUNT3.)
Comment 3 Anand Avati 2011-05-03 12:13:16 EDT
PATCH: http://patches.gluster.com/patch/7008 in master (NFS : Use proper exit point in nfs_init_state.)
Comment 4 Anand Avati 2011-05-19 20:14:17 EDT
PATCH: http://patches.gluster.com/patch/7057 in release-3.1 (NFS : Maintain common state for MOUNT1 and MOUNT3.)
Comment 5 Anand Avati 2011-05-31 21:54:23 EDT
PATCH: http://patches.gluster.com/patch/7014 in release-3.1 (NFS : Use proper exit point in nfs_init_state.)
Comment 6 Saurabh 2011-06-09 04:55:01 EDT
this bug is based on 2692, hence need to be reopened

Note You need to log in before you can comment on or make changes to this bug.